# 1. Abonnement: Hent hendelser

Følg abonnementer når `SETT INN`/`ENDRE`/`FJERN` handlinger skjer med "Farm", "Field", "FieldSatelliteImage", "RasterAnalysisMap", "VectorAnalysisMap", andre enheter.

Abonnements-mekanismen er bygd på MQTT og WebSocket. Vår anbefaling er å starte integrasjonen med å lese [AWS AppSync Subscription-artikkelen](https://docs.aws.amazon.com/appsync/latest/devguide/real-time-websocket-client.html).&#x20;

{% hint style="info" %}
Abonnementshendelser sendes så snart hendelsen skjedde i GeoPard-backenden.
{% endhint %}

{% hint style="info" %}
Hver abonnements-hendelse har en unik identifikasjon kalt `uuid`, som er nyttig for å filtrere behandlede og tapte hendelser forespurt fra [82. Forespørsel: Gjenopprett abonnements-hendelser](/geopard-tutorials/nor/api-dokumentasjon/geopard-api-foresporsler-oversikt/82.-mutasjon-gjenopprett-abonnements-hendelser.md).
{% endhint %}

{% code lineNumbers="true" %}

```graphql
subscription FollowPlatformEvent {
  followPlatformEvent(userUuid: "<placeholder_of_user_uuid>") {
    uuid
    userUuid
    action
    nodePath {
      entity
      uuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/geopard-api-foresporsler-oversikt/1.-abonnement-hent-hendelser.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
